org.apache.sling.urlrewriter.internal

## Class SlingUrlRewriteFilter

- java.lang.Object
- - org.apache.sling.urlrewriter.internal.SlingUrlRewriteFilter

All Implemented Interfaces:
  javax.servlet.Filter

    @Service
     @Property(name="service.vendor",value="The Apache Software Foundation") @Property(name="service.description",value="multi-purpose service for altering HTTP requests/responses based on Tuckey\'s UrlRewriteFilter") @Property(name="service.ranking",intValue=0,propertyPrivate=false) @Property(name="sling.filter.scope",value={"REQUEST","FORWARD"})
    public final class SlingUrlRewriteFilter
    extends Object
    implements javax.servlet.Filter

### Nested Class Summary

Nested Classes
`class` `SlingUrlRewriteFilter.ConfHandler`
`class` `SlingUrlRewriteFilter.DocumentConf`

### Field Summary

Fields
`static String` `DEFAULT_REWRITE_RULES`
`static String` `REWRITE_RULES_PARAMETER`

### Constructor Summary

Constructors
Constructor and Description
`SlingUrlRewriteFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `destroy()`
`void` `doFilter(javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse, javax.servlet.FilterChain filterChain)`
`void` `init(javax.servlet.FilterConfig filterConfig)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_REWRITE_RULES

    public static final String DEFAULT_REWRITE_RULES

See Also:
  Constant Field Values

#### REWRITE_RULES_PARAMETER

    @Property(value="<?xml version=\"1.0\" encoding=\"utf-8\"?><!DOCTYPE urlrewrite PUBLIC \"-//tuckey.org//DTD UrlRewrite 4.0//EN\" \"http://www.tuckey.org/res/dtds/urlrewrite4.0.dtd\"><urlrewrite/>")
    public static final String REWRITE_RULES_PARAMETER

See Also:
  Constant Field Values

### Constructor Detail

#### SlingUrlRewriteFilter

    public SlingUrlRewriteFilter()

### Method Detail

#### destroy

    public void destroy()

Specified by:
  `destroy` in interface `javax.servlet.Filter`

#### init

    public void init(javax.servlet.FilterConfig filterConfig)
              throws javax.servlet.ServletException

Specified by:
  `init` in interface `javax.servlet.Filter`
Throws:
  `javax.servlet.ServletException`

#### doFilter

    public void doFilter(javax.servlet.ServletRequest servletRequest,
                         javax.servlet.ServletResponse servletResponse,
                         javax.servlet.FilterChain filterChain)
                  throws IOException,
                         javax.servlet.ServletException

Specified by:
  `doFilter` in interface `javax.servlet.Filter`
Throws:
  `IOException`
  `javax.servlet.ServletException`